Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.connection.transport.https
Class HTTPSClientTransport

    java.lang.Object
      weblogic.wsee.connection.transport.http.HTTPClientTransport
          weblogic.wsee.connection.transport.https.HTTPSClientTransport

All Implemented Interfaces:
  weblogic.wsee.connection.transport.ClientTransport, weblogic.wsee.connection.transport.Transport

    public class HTTPSClientTransport

extends HTTPClientTransport

Field Summary
`static String` | `USE_JDK_SSL_PROPERTY`

Constructor Summary
`HTTPSClientTransport()`

Method Summary
`String` | `getName()` Gets the name of the transport
`protected HttpURLConnection` | `openConnection(URL url, Proxy proxy, weblogic.wsee.connection.transport.TransportInfo info)` opens the URLConnection for the transport.

Methods inherited from class weblogic.wsee.connection.transport.http.HTTPClientTransport
`confirmOneway, connect, getEndpointAddress, getResponseCode, getServiceURI, isBlocking, receive, send, sendFault, setConnectionTimeout, setReadTimeout, setResponseListener, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### USE_JDK_SSL_PROPERTY

    public static final String USE_JDK_SSL_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### HTTPSClientTransport

    public HTTPSClientTransport()

Method Detail

### getName

    public String getName()

  Gets the name of the transport

  Specified by:
    `getName` in interface `weblogic.wsee.connection.transport.Transport`
  Overrides:
    `getName` in class `HTTPClientTransport`
  Returns:
    The name of the transport

### openConnection

    protected HttpURLConnection openConnection(URL url,
                                               Proxy proxy,
                                               weblogic.wsee.connection.transport.TransportInfo info)
                                        throws IOException

  Description copied from class: `HTTPClientTransport`
  opens the URLConnection for the transport. this method is overridden by subclasses.

  Overrides:
    `openConnection` in class `HTTPClientTransport`
  Parameters:
    `url` - - the URL to which a connection will be opened.
    `proxy` - - the proxy that will be used for the connection..
    `info` - - transport info for the specific transport.
  Returns:
  Throws:
    `IOException`
  See Also:
    `HTTPSClientTransport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD